Name:           libguac-client-rdp
Version:        0.7.4
Release:        3%{?dist}
Summary:        RDP support for guacd
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz

BuildRequires:  cairo-devel
BuildRequires:  freerdp-devel
BuildRequires:  libguac-devel >= 0.7.0
Requires:       freerdp-plugins

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is a protocol support plugin for the Guacamole proxy (guacd) which
provides support for RDP, the proprietary remote desktop protocol used by
Windows Remote Deskop / Terminal Services, via the libfreerdp library.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS LICENSE README
# The libguac source code dlopen's these plugins, and they are named without
# the version in the shared object; i.e. "libguac-client-$(PROTOCOL).so".
%{_libdir}/%{name}.so
%{_libdir}/%{name}.so.*
%{_libdir}/freerdp/*.so

%changelog
* Wed Jun 19 2013 Simone Caronni <negativo17@gmail.com> - 0.7.4-3
- Revert back license, licensecheck checks only license headers.

* Wed Jun 12 2013 Simone Caronni <negativo17@gmail.com> - 0.7.4-2
- Fix license.

* Fri Jun 07 2013 Simone Caronni <negativo17@gmail.com> - 0.7.4-1
- Update to 0.7.4.

* Mon Mar 25 2013 Simone Caronni <negativo17@gmail.com> - 0.7.3-2
- Source rebuilt upstream due to bug: http://guac-dev.org/trac/ticket/298

* Thu Mar 21 2013 Simone Caronni <negativo17@gmail.com> - 0.7.3-1
- Update to 0.7.3.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Simone Caronni <negativo17@gmail.com> - 0.7.2-1
- Updated to 0.7.2, still requires libguac 0.7.0.

* Thu Dec 13 2012 Simone Caronni <negativo17@gmail.com> - 0.7.0-1
- Updated to 0.7.0.

* Mon Oct 22 2012 Simone Caronni <negativo17@gmail.com> - 0.6.2-1
- Updated to 0.6.2.

* Thu Sep 13 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-2
- Change Source0 URL

* Thu Aug 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-1
- Updated to 0.6.1.
- Now compatible with freerdp > 1.0.
- Requires libguac-devel >= to version.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-7
- Added comment about plugin loading mechanism.

* Fri Jun 15 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-6
- Moved back plugins to _libdir.
- Removed _isaed build requirements.

* Wed May 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-5
- Added requirement on freerdp-plugins to make clipboard work.

* Tue May 29 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Moved plugin libraries.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- More explicit files list.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Sorted and splitted BuildRequires on multiple lines.
- Used common macro styles.
- Shortened delete command in install section.

* Thu May 10 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.
